local ns = G13BarManager

local bar = G13MenuBar
bar:SetSize(290, 41)
bar:SetPoint("BOTTOM", 491, 67)

RegisterStateDriver(bar, "visibility", "[petbattle] hide; [vehicleui] hide; show")

MenuButtons = {
	CharacterMicroButton,
	SpellbookMicroButton,
	TalentMicroButton,
	AchievementMicroButton,
	QuestLogMicroButton,
	GuildMicroButton,
	PVPMicroButton,
	LFDMicroButton,
	CollectionsMicroButton,
	EJMicroButton,
	MainMenuMicroButton,
	HelpMicroButton,
	StoreMicroButton
}

--This function repositions the MicroMenu Buttons.
--Rather than moving them directly, we place them in a
--function that we can call from a secure hook later
--to get them back in place after Blizzard tries to move them.
local function SetMicroButtons()
	CharacterMicroButton:ClearAllPoints()
	CharacterMicroButton:SetPoint("BOTTOMLEFT", bar, 3, 2)
end

hooksecurefunc("UpdateMicroButtonsParent", function() 
	MoveElements(MenuButtons, bar)
end)

hooksecurefunc("UpdateMicroButtons", function() 
	SetMicroButtons() 
end)

--MoveElements(MenuButtons, bar)
--SetMicroButtons()

--This is an old hook and likely can be removed soon.
--_G["UpdateMicroButtonsParent"] = SetMicroButtons()